/**
 * <copyright>
 * </copyright>
 *
 * $Id: LeafValidator.java,v 1.1 2007-08-21 09:33:09 vmahe Exp $
 */
package MMTree.validation;

import MMTree.LeafSize;

/**
 * A sample validator interface for {@link MMTree.Leaf}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface LeafValidator {
	boolean validate();

	boolean validateSize(LeafSize value);
}
